Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.es
Class Call

    java.lang.Object
      |
      +--com.caucho.es.ESBase
            |
            +--com.caucho.es.Call

public final class Call
extends ESBase

Implementation class representing a call context.

Field Summary
`ESGlobal` | `global`
`ESBase[]` | `stack`
`ESBase[]` | `values`

Fields inherited from class com.caucho.es.ESBase
`DONT_DELETE, DONT_ENUM, esBase, esEmpty, esNull, esUndefined, READ_ONLY`

Method Summary
`static double` | `_first(double left, double right)`
`static ESBase` | `_first(ESBase left, ESBase right)`
`static int` | `_first(int left, int right)` Returns the first value in a tuple.
`static double` | `_post(ESBase expr, ESString field, int inc)`
`double` | `_post(ESString field, int inc)`
`static double` | `_pre(ESBase expr, ESString field, int inc)`
`double` | `_pre(ESString field, int inc)`
`int` | `arg(int i, ESBase arg)`
`ESBase` | `array(ESBase value)`
`ESBase` | `call(ESBase base, ESString name, int i)`
`ESBase` | `call(ESBase base, ESString name, int i, ESBase a)`
`ESBase` | `call(ESBase base, ESString name, int i, ESBase a, ESBase b)`
`ESBase` | `call(ESBase base, ESString name, int i, ESBase a, ESBase b, ESBase c, int length)`
`ESBase` | `call(ESBase base, int i)`
`ESBase` | `call(ESBase base, int i, ESBase a)`
`ESBase` | `call(ESBase base, int i, ESBase a, ESBase b)`
`ESBase` | `call(ESBase base, int i, ESBase a, ESBase b, ESBase c, int length)`
`ESBase` | `callScope(ESString id, int i)`
`ESBase` | `callScope(ESString id, int i, ESBase a)`
`ESBase` | `callScope(ESString id, int i, ESBase a, ESBase b)`
`ESBase` | `callScope(ESString id, int i, ESBase a, ESBase b, ESBase c, int length)`
`static ESBase` | `comma(ESBase left, ESBase right)`
`ESObject` | `createArg(ESId[] args, int length)`
`ESBase` | `createDate(long time)`
`ESObject` | `createObject()`
`ESBase` | `delete(ESString key)`
`ESBase` | `deleteScopeProperty(ESString id)`
`ESBase` | `doNew(ESBase base, ESString name, int i)`
`ESBase` | `doNew(ESBase base, ESString name, int i, ESBase a)`
`ESBase` | `doNew(ESBase base, ESString name, int i, ESBase a, ESBase b)`
`ESBase` | `doNew(ESBase base, ESString name, int i, ESBase a, ESBase b, ESBase c, int length)`
`ESBase` | `doNew(ESBase base, int i)`
`ESBase` | `doNew(ESBase base, int i, ESBase a)`
`ESBase` | `doNew(ESBase base, int i, ESBase a, ESBase b)`
`ESBase` | `doNew(ESBase base, int i, ESBase a, ESBase b, ESBase c, int length)`
`static ESBase` | `doVoid(ESBase value)`
`void` | `fillScope()`
`ESBase` | `findScopeProperty(ESString id)`
`ESBase` | `getArg(int i, int len)`
`int` | `getArgInt32(int i, int len)`
`double` | `getArgNum(int i, int len)`
`java.lang.Object` | `getArgObject(int i, int len)`
`java.lang.String` | `getArgString(int i, int len)`
`Call` | `getCall()`
`ESObject` | `getCallThis()`
`ESObject` | `getEval()`
`ESGlobal` | `getGlobal()`
`ESBase` | `getGlobalVariable(ESString id)` Returns the global variable of the id, throwing an exception if the it's undefined.
`ESBase` | `getScopeProperty(ESString id)`
`ESObject` | `getThis()`
`java.lang.Object` | `getThisWrapper()`
`ESBase` | `hasScopeProperty(ESString id)`
`static boolean` | `matchException(ESBase test, java.lang.Exception e)`
`ESBase` | `newScope(ESString id, int i)`
`ESBase` | `newScope(ESString id, int i, ESBase a)`
`ESBase` | `newScope(ESString id, int i, ESBase a, ESBase b)`
`ESBase` | `newScope(ESString id, int i, ESBase a, ESBase b, ESBase c, int length)`
`void` | `popScope()`
`java.lang.String` | `printf(int length)`
`void` | `pushScope(ESBase value)`
`ESBase` | `scopeTypeof(ESString id)`
`ESBase` | `setGlobalProperty(ESString id, ESBase value)`
`static ESBase` | `setProperty(ESBase base, ESString field, ESBase value)`
`void` | `setProperty(ESString name, ESBase value)` Sets the named property
`ESBase` | `setScopeProperty(ESString id, ESBase value)`
`static java.util.Iterator` | `toESIterator(java.util.Enumeration e)`
`static java.util.Iterator` | `toESIterator(java.util.Iterator i)`
`ESBase` | `wrap(java.lang.Object o)`
`ESBase` | `wrapClass(java.lang.Class cl)`

Methods inherited from class com.caucho.es.ESBase
`call, call, construct, ecmaEquals, getJavaType, getProperty, getProperty, greaterThan, hasProperty, isBoolean, isNum, isString, keys, lessThan, plus, setProperty, setProperty, toBoolean, toInt32, toJavaObject, toJavaString, toNum, toObject, toPrimitive, toPrimitive, toSource, toStr, toString, typeof, valueOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### stack

    public ESBase[] stack

### global

    public ESGlobal global

### values

    public ESBase[] values

Method Detail

### getCall

    public Call getCall()

### wrap

    public ESBase wrap(java.lang.Object o)
                throws java.lang.Exception

### wrapClass

    public ESBase wrapClass(java.lang.Class cl)
                     throws java.lang.Exception

### getArg

    public final ESBase getArg(int i,
                               int len)

### getArgInt32

    public final int getArgInt32(int i,
                                 int len)
                          throws java.lang.Exception

### getArgNum

    public final double getArgNum(int i,
                                  int len)
                           throws java.lang.Exception

### getArgString

    public final java.lang.String getArgString(int i,
                                               int len)
                                        throws java.lang.Exception

### getArgObject

    public final java.lang.Object getArgObject(int i,
                                               int len)
                                        throws java.lang.Exception

### createObject

    public ESObject createObject()

### createDate

    public ESBase createDate(long time)

### printf

    public java.lang.String printf(int length)
                            throws java.lang.Exception

### getThis

    public final ESObject getThis()
                           throws java.lang.Exception

### getThisWrapper

    public final java.lang.Object getThisWrapper()
                                          throws java.lang.Exception

### getGlobal

    public ESGlobal getGlobal()

### getCallThis

    public final ESObject getCallThis()
                               throws java.lang.Exception

### pushScope

    public void pushScope(ESBase value)

### popScope

    public void popScope()

### getEval

    public ESObject getEval()

### createArg

    public ESObject createArg(ESId[] args,
                              int length)
                       throws java.lang.Exception

### setProperty

    public void setProperty(ESString name,
                            ESBase value)
                     throws java.lang.Exception

  Description copied from class: `ESBase`
  Sets the named property
  Overrides:
    `setProperty` in class `ESBase`

### delete

    public ESBase delete(ESString key)
                  throws java.lang.Exception

  Overrides:
    `delete` in class `ESBase`

### findScopeProperty

    public ESBase findScopeProperty(ESString id)
                             throws java.lang.Exception

### scopeTypeof

    public ESBase scopeTypeof(ESString id)
                       throws java.lang.Exception

### setProperty

    public static ESBase setProperty(ESBase base,
                                     ESString field,
                                     ESBase value)
                              throws java.lang.Exception

### doVoid

    public static ESBase doVoid(ESBase value)

### array

    public ESBase array(ESBase value)
                 throws java.lang.Exception

### comma

    public static ESBase comma(ESBase left,
                               ESBase right)

### _first

    public static ESBase _first(ESBase left,
                                ESBase right)
                         throws java.lang.Exception

### _first

    public static double _first(double left,
                                double right)
                         throws java.lang.Exception

### _first

    public static int _first(int left,
                             int right)
                      throws java.lang.Exception

  Returns the first value in a tuple. Used
  Parameters:
    `left` - the first value
    `right` - the right value
  Returns:
    the first value.

### _pre

    public static double _pre(ESBase expr,
                              ESString field,
                              int inc)
                       throws java.lang.Exception

### _post

    public static double _post(ESBase expr,
                               ESString field,
                               int inc)
                        throws java.lang.Exception

### _pre

    public double _pre(ESString field,
                       int inc)
                throws java.lang.Exception

### _post

    public double _post(ESString field,
                        int inc)
                 throws java.lang.Exception

### setGlobalProperty

    public ESBase setGlobalProperty(ESString id,
                                    ESBase value)
                             throws java.lang.Exception

### getGlobalVariable

    public ESBase getGlobalVariable(ESString id)
                             throws java.lang.Exception

  Returns the global variable of the id, throwing an exception if the it's undefined.

### getScopeProperty

    public ESBase getScopeProperty(ESString id)
                            throws java.lang.Exception

### fillScope

    public void fillScope()

### hasScopeProperty

    public ESBase hasScopeProperty(ESString id)
                            throws java.lang.Exception

### setScopeProperty

    public ESBase setScopeProperty(ESString id,
                                   ESBase value)
                            throws java.lang.Exception

### deleteScopeProperty

    public ESBase deleteScopeProperty(ESString id)
                               throws java.lang.Exception

### arg

    public int arg(int i,
                   ESBase arg)

### callScope

    public ESBase callScope(ESString id,
                            int i)
                     throws java.lang.Exception

### callScope

    public ESBase callScope(ESString id,
                            int i,
                            ESBase a)
                     throws java.lang.Exception

### callScope

    public ESBase callScope(ESString id,
                            int i,
                            ESBase a,
                            ESBase b)
                     throws java.lang.Exception

### callScope

    public ESBase callScope(ESString id,
                            int i,
                            ESBase a,
                            ESBase b,
                            ESBase c,
                            int length)
                     throws java.lang.Exception

### call

    public ESBase call(ESBase base,
                       ESString name,
                       int i)
                throws java.lang.Exception

### call

    public ESBase call(ESBase base,
                       ESString name,
                       int i,
                       ESBase a)
                throws java.lang.Exception

### call

    public ESBase call(ESBase base,
                       ESString name,
                       int i,
                       ESBase a,
                       ESBase b)
                throws java.lang.Exception

### call

    public ESBase call(ESBase base,
                       ESString name,
                       int i,
                       ESBase a,
                       ESBase b,
                       ESBase c,
                       int length)
                throws java.lang.Exception

### call

    public ESBase call(ESBase base,
                       int i)
                throws java.lang.Exception

### call

    public ESBase call(ESBase base,
                       int i,
                       ESBase a)
                throws java.lang.Exception

### call

    public ESBase call(ESBase base,
                       int i,
                       ESBase a,
                       ESBase b)
                throws java.lang.Exception

### call

    public ESBase call(ESBase base,
                       int i,
                       ESBase a,
                       ESBase b,
                       ESBase c,
                       int length)
                throws java.lang.Exception

### newScope

    public ESBase newScope(ESString id,
                           int i)
                    throws java.lang.Exception

### newScope

    public ESBase newScope(ESString id,
                           int i,
                           ESBase a)
                    throws java.lang.Exception

### newScope

    public ESBase newScope(ESString id,
                           int i,
                           ESBase a,
                           ESBase b)
                    throws java.lang.Exception

### newScope

    public ESBase newScope(ESString id,
                           int i,
                           ESBase a,
                           ESBase b,
                           ESBase c,
                           int length)
                    throws java.lang.Exception

### doNew

    public ESBase doNew(ESBase base,
                        ESString name,
                        int i)
                 throws java.lang.Exception

### doNew

    public ESBase doNew(ESBase base,
                        ESString name,
                        int i,
                        ESBase a)
                 throws java.lang.Exception

### doNew

    public ESBase doNew(ESBase base,
                        ESString name,
                        int i,
                        ESBase a,
                        ESBase b)
                 throws java.lang.Exception

### doNew

    public ESBase doNew(ESBase base,
                        ESString name,
                        int i,
                        ESBase a,
                        ESBase b,
                        ESBase c,
                        int length)
                 throws java.lang.Exception

### doNew

    public ESBase doNew(ESBase base,
                        int i)
                 throws java.lang.Exception

### doNew

    public ESBase doNew(ESBase base,
                        int i,
                        ESBase a)
                 throws java.lang.Exception

### doNew

    public ESBase doNew(ESBase base,
                        int i,
                        ESBase a,
                        ESBase b)
                 throws java.lang.Exception

### doNew

    public ESBase doNew(ESBase base,
                        int i,
                        ESBase a,
                        ESBase b,
                        ESBase c,
                        int length)
                 throws java.lang.Exception

### toESIterator

    public static java.util.Iterator toESIterator(java.util.Iterator i)

### toESIterator

    public static java.util.Iterator toESIterator(java.util.Enumeration e)

### matchException

    public static boolean matchException(ESBase test,
                                         java.lang.Exception e)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD